Adding script exit after successfull run

This commit is contained in:
Alex Epstein 2017-07-03 20:26:57 -04:00
parent 0b38f94cae
commit 5f2482179f
2 changed files with 9 additions and 6 deletions

View File

@ -44,7 +44,7 @@ Provides a way to watch youtube videos from the terminal.
You can use ```ytview -c [channel name]``` to see recent videos by that artist.
You can use ```youtubeviewer -s '[videoToSearch]'``` to search for videos.
You can use ```ytview -s [videoToSearch]``` or just ```ytview [videoToSearch]``` to search for videos.
<div align="center">

View File

@ -190,7 +190,7 @@ do
search=$(printf '%s ' "$@")
flag="search"
else
echo "Error: search and channel options are mutually exclusive"
echo "Error: search and channel options are mutually exclusive" >&2
exit 1
fi
;;
@ -199,22 +199,25 @@ do
channel="$OPTARG"
flag="channel"
else
echo "Error: search and channel options are mutually exclusive"
echo "Error: search and channel options are mutually exclusive" >&2
exit 1
fi
;;
h) usage ;;
u) update ;;
*) usage ;;
h) usage && exit 0 ;;
u) update && exit 0 ;;
*) usage && exit 0 ;;
esac
done
if [[ $# == "0" ]]; then
usage
exit 0
elif [[ $1 == "help" ]];then
usage
exit 0
elif [[ $1 == "update" ]]; then
update
exit 0
elif [[ $flag == "search" ]]; then
searchview || exit 1
elif [[ $flag == "channel" ]]; then